Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EDMType.PageDefinition

    java.lang.Object
      com.sun.mdm.index.parser.EDMType.PageDefinition

Enclosing class:
  EDMType

class EDMType.PageDefinition
extends java.lang.Object

Nested Class Summary
`(package private) class` | `EDMType.PageDefinition.CommonBlock`
`(package private) class` | `EDMType.PageDefinition.CreateEO`
`(package private) class` | `EDMType.PageDefinition.Dashboard`
`(package private) class` | `EDMType.PageDefinition.EOSearch`
`(package private) class` | `EDMType.PageDefinition.EOViewPage`
`(package private) class` | `EDMType.PageDefinition.FieldGroup`
`(package private) class` | `EDMType.PageDefinition.FieldRef`
`(package private) class` | `EDMType.PageDefinition.History`
`(package private) class` | `EDMType.PageDefinition.MatchReview`
`(package private) class` | `EDMType.PageDefinition.MidmConverter`
`(package private) class` | `EDMType.PageDefinition.PageTab`
`(package private) class` | `EDMType.PageDefinition.PDSearchPage`
`(package private) class` | `EDMType.PageDefinition.Report`
`(package private) class` | `EDMType.PageDefinition.Reports`
`(package private) class` | `EDMType.PageDefinition.SearchOption`
`(package private) class` | `EDMType.PageDefinition.SearchResultListPage`
`(package private) class` | `EDMType.PageDefinition.SimpleSearchPage`
`(package private) class` | `EDMType.PageDefinition.SourceRecord`
`(package private) class` | `EDMType.PageDefinition.Subscreen`
`(package private) class` | `EDMType.PageDefinition.SubscreenConfigurations`
`(package private) class` | `EDMType.PageDefinition.XASearchPage`

Field Summary
`(package private) EDMType.PageDefinition.CommonBlock` | `assumedMatches`
`(package private) EDMType.PageDefinition.CommonBlock` | `auditLog`
`(package private) EDMType.PageDefinition.CreateEO` | `createEO`
`(package private) EDMType.PageDefinition.Dashboard` | `dashboard`
`(package private) EDMType.PageDefinition.CommonBlock` | `duplicateRecords`
`(package private) EDMType.PageDefinition.EOSearch` | `eoSearch`
`(package private) EDMType.PageDefinition.History` | `history`
`(package private) java.lang.String` | `initialScreen`
`(package private) java.lang.String` | `initialScreenID`
`(package private) java.lang.String` | `localID`
`(package private) EDMType.PageDefinition.MatchReview` | `matchReview`
`(package private) EDMType.PageDefinition.MidmConverter` | `midmConverter`
`(package private) EDMType.PageDefinition.CommonBlock` | `recordDetails`
`(package private) EDMType.PageDefinition.Reports` | `reports`
`(package private) EDMType.PageDefinition.SourceRecord` | `sourceRecord`
`(package private) EDMType.PageDefinition.CommonBlock` | `transactions`

Constructor Summary
`(package private)` | `EDMType.PageDefinition()`

Method Summary
`(package private) void` | `createAssumedMatches()`
`(package private) void` | `createAuditLog()`
`(package private) void` | `createCreateEO()`
`(package private) void` | `createDashboard()`
`(package private) void` | `createDuplicateRecords()`
`(package private) void` | `createEOSearch()`
`(package private) void` | `createHistory()`
`(package private) void` | `createMatchReview()`
`(package private) void` | `createRecordDetails()`
`(package private) void` | `createReports()`
`(package private) void` | `createSourceRecord()`
`(package private) void` | `createTransactions()`
`(package private) EDMType.PageDefinition.FieldRef` | `getFieldRef(java.util.ArrayList alFieldRef)`
`(package private) java.lang.String` | `getInitialScreen()`
`(package private) java.lang.String` | `getInitialScreenID()`
`(package private) java.lang.String` | `getLocalID()`
`(package private) boolean` | `removeReferencedField(java.lang.String fieldNamePath, java.util.ArrayList alFieldRef)`
`(package private) boolean` | `updateCheckedAttributes(java.lang.String fieldNamePath, java.util.ArrayList alFieldRef, boolean checked, java.lang.String required)`
`(package private) boolean` | `updateReferencedField(java.lang.String oldName, java.lang.String newName, java.util.ArrayList alFieldRef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assumedMatches

    EDMType.PageDefinition.CommonBlock assumedMatches

### auditLog

    EDMType.PageDefinition.CommonBlock auditLog

### createEO

    EDMType.PageDefinition.CreateEO createEO

### dashboard

    EDMType.PageDefinition.Dashboard dashboard

### duplicateRecords

    EDMType.PageDefinition.CommonBlock duplicateRecords

### eoSearch

    EDMType.PageDefinition.EOSearch eoSearch

### history

    EDMType.PageDefinition.History history

### initialScreen

    java.lang.String initialScreen

### initialScreenID

    java.lang.String initialScreenID

### localID

    java.lang.String localID

### matchReview

    EDMType.PageDefinition.MatchReview matchReview

### midmConverter

    EDMType.PageDefinition.MidmConverter midmConverter

### recordDetails

    EDMType.PageDefinition.CommonBlock recordDetails

### reports

    EDMType.PageDefinition.Reports reports

### sourceRecord

    EDMType.PageDefinition.SourceRecord sourceRecord

### transactions

    EDMType.PageDefinition.CommonBlock transactions

Constructor Detail

### EDMType.PageDefinition

    EDMType.PageDefinition()

Method Detail

### createAssumedMatches

    void createAssumedMatches()

### createAuditLog

    void createAuditLog()

### createCreateEO

    void createCreateEO()

### createDashboard

    void createDashboard()

### createDuplicateRecords

    void createDuplicateRecords()

### createEOSearch

    void createEOSearch()

### createHistory

    void createHistory()

### createMatchReview

    void createMatchReview()

### createRecordDetails

    void createRecordDetails()

### createReports

    void createReports()

### createSourceRecord

    void createSourceRecord()

### createTransactions

    void createTransactions()

### getFieldRef

    EDMType.PageDefinition.FieldRef getFieldRef(java.util.ArrayList alFieldRef)

### getInitialScreen

    java.lang.String getInitialScreen()

### getInitialScreenID

    java.lang.String getInitialScreenID()

### getLocalID

    java.lang.String getLocalID()

### removeReferencedField

    boolean removeReferencedField(java.lang.String fieldNamePath,
                                  java.util.ArrayList alFieldRef)

### updateCheckedAttributes

    boolean updateCheckedAttributes(java.lang.String fieldNamePath,
                                    java.util.ArrayList alFieldRef,
                                    boolean checked,
                                    java.lang.String required)

### updateReferencedField

    boolean updateReferencedField(java.lang.String oldName,
                                  java.lang.String newName,
                                  java.util.ArrayList alFieldRef)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.